ru.bitel.bgbilling.modules.dialup.server.wifi.event

## Class WiFiGetLoginsOnEmailEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.dialup.server.wifi.event.WiFiGetLoginsOnEmailEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class WiFiGetLoginsOnEmailEvent
      extends LocalEvent

  Синхронное событие - получение логинов/паролей wifi.
  Унаследовано от `LocalEvent`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WiFiGetLoginsOnEmailEvent(java.util.List<Pair<java.lang.String,java.lang.String>> loginPasswords, int moduleId, int contractId, int userId)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEmailSubject()` Возвращает тему электронного письма.
    `java.lang.String` | `getEmailText()` Возвращает тест электронного сообщения.
    `java.util.List<Pair<java.lang.String,java.lang.String>>` | `getLoginPasswords()` Возвращает список пар логин-пароль.
    `void` | `setEmailSubject(java.lang.String emailSubject)` Устанавливает тему электронного письма.
    `void` | `setEmailText(java.lang.String emailText)` Устанавливает текст электронного сообщения.
    `void` | `setLoginPasswords(java.util.List<Pair<java.lang.String,java.lang.String>> loginPasswords)` Устанавливает список пар логин-пароль.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WiFiGetLoginsOnEmailEvent

          public WiFiGetLoginsOnEmailEvent(java.util.List<Pair<java.lang.String,java.lang.String>> loginPasswords,
                                           int moduleId,
                                           int contractId,
                                           int userId)

      Конструктор события.
      Parameters:
        `loginPasswords` -
        `moduleId` -
        `contractId` -
        `userId` -

  - ### Method Detail

    - #### getEmailText

          public java.lang.String getEmailText()

      Возвращает тест электронного сообщения.
      Returns:
        emailText - текст сообщения

    - #### setEmailText

          public void setEmailText(java.lang.String emailText)

      Устанавливает текст электронного сообщения.
      Parameters:
        `emailText` - - текст сообщения

    - #### getEmailSubject

          public java.lang.String getEmailSubject()

      Возвращает тему электронного письма.
      Returns:
        emailSubject - тема письма

    - #### setEmailSubject

          public void setEmailSubject(java.lang.String emailSubject)

      Устанавливает тему электронного письма.
      Parameters:
        `emailSubject` - - тема письма

    - #### getLoginPasswords

          public java.util.List<Pair<java.lang.String,java.lang.String>> getLoginPasswords()

      Возвращает список пар логин-пароль.
      Returns:
        loginPasswords - список пар логин-пароль

    - #### setLoginPasswords

          public void setLoginPasswords(java.util.List<Pair<java.lang.String,java.lang.String>> loginPasswords)

      Устанавливает список пар логин-пароль.
      Parameters:
        `loginPasswords` - - список пар логин-пароль